:root {
  --sc_eff: 1;
}

/* 容器：a 标签，宽 90% 居中，高度随比例自动计算 */
.proad-frame {
  position: relative;
  display: none;
  width: 100%;
  margin: 0 auto;
  height: calc(var(--H, 0px) * var(--sc_eff));
  overflow: hidden;
  text-decoration: none;
  animation: swing 1.2s ease-in-out infinite;
}

.proad-play-frame {
  position: absolute !important;
  display: block;
  top: 50% !important;
  left: 50% !important;
  width: 80%;
  transform: translate(-50%, -50%) !important;
  overflow: hidden;
  text-decoration: none;
  border-radius: 4px;
}

/* 碎片：样式全部走样式表，不写内联 */
.ksyes {
  position: absolute;
  display: block;
  background-repeat: no-repeat;
}

/* 错误提示（可选） */
.err {
  width: 90%;
  margin: 12px auto;
  color: #b91c1c;
  font: 14px/1.6 system-ui, Arial, Helvetica, sans-serif;
}

.qrcode-wapper {
  display: none;
}

.qrcode-wapper-tpl-11 {
    display: block;
    position: absolute;
    left: -285px;
    bottom: 0;
    animation: swing 1.2s ease-in-out infinite;
}

.qrcode-container {
  position: relative;
  display: flex;
  align-items: center;
  padding: 0.1rem;
  background: url('/static/proad/images/pc/bg.webp') center/cover no-repeat;
  border-radius: 0.15rem;
  overflow: hidden;
}

.qrcode-wapper-tpl-11 .qrcode-container {
    padding: 10px 50px 10px 5px;
    border-radius: 5px;
}

.qrcode-container::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
  /* 黑色蒙层 */
}

.qrcode-container>* {
  position: relative;
  z-index: 1;
}

.qrcode-container #qrcode {
  margin-right: 10px;
  width: 80px;
  height: 80px;
}

.qrcode-container #qrcode img {
  width: 100%;
}

.qrcode-container .qrcode-text {
  color: #fff;
  font-weight: bold;
}

.qrcode-container .qrcode-text>p {
  padding: 2px 0;
  margin: 0;
}

.qrcode-container::after {
  content: "广告";
  position: absolute;
  right: 4px;
  bottom: 4px;
  padding: 2px 6px;
  font-size: 12px;
  line-height: 1.4;
  color: #fff;
  background: rgba(0, 0, 0, 0.55);
  border-radius: 4px;
  pointer-events: none;
  /* 不影响点击 */
}

.swing {
  transform-origin: center center;
  animation: swing 1.2s ease-in-out infinite;
}

@keyframes swing {

  0%,
  100% {
    transform: rotate(0deg);
  }

  25% {
    transform: rotate(-2deg);
  }

  75% {
    transform: rotate(2deg);
  }
}